#! /bin/sh

# Ce script fait partie de MMboX (http://mmbox.tuxfamily.org), logiciel
# distribu sous licence GPL (voir fichier COPYING).

# /!\ A MODIFIER AVEC VOS PARAMETRES /!\
# Ici, ce sont les parametres pour la Via Eden 800
MPLAYER="mplayer -vo xv -ao oss -fs "

echo "MMboX 0.5-cvs running..."

# Image de fond pour les "temps morts", ca fait plus sympa...
xsetbg -fillscreen -onroot /usr/share/mmbox/images/loading.jpg

false

while [ $? != 0 ]
do
    /usr/bin/MMboX
    case $? in

    # Audio->Media on lit le cd audio avec xmms
    # TODO: Ameliorer la detection du type de media sur le CD
    # et adapter en fonction de cela.
    111)
    /usr/bin/cdinfo | grep -e "CD-Plus/Extra" -e "Audio CD" > /dev/null

    if [ $? != 0 ]
    then
        echo "CD non audio, recherche de medias"
	echo "Creation de la playlist"

	# Rajoutez ici vos extensions si il en manque (insensible a la casse) : -or -iname *.monextension
	find /mnt/cdrom -iname *.mp3 -or -iname *.ogg -or -iname *.wav -or -iname *.wma  > /tmp/audio.m3u

	# On verifie que la liste n'est pas vide
	grep \[:alnum:\] /tmp/audio.m3u > /dev/null

	if [ $? != 0 ]
	then
	    echo "Aucun fichier audio trouv sur le media"
	else
	    echo "Lancement de xmms"
	    # ADAPTEZ ICI a vos parametres prefrs.
	    xmms /tmp/audio.m3u
	fi
    else
	echo "CD Audio ou Extra"
	echo "Lancement de xmms"
	
	# Utiliser cette commande si vous ne disposez pas du plugin cdread
	xmms /mnt/cdrom
	# Utiliser plutot cette commande si vous disposez du plugin cdread  
	# (qui permet d'avoir les visualisations avec les cd audio)
	# xmms /dev/cdrom
    fi
    false
    ;;

    # Audio->Playlist On lit la liste cre avec xmms
    112)
    echo "Lancement de xmms"
    
    xmms /tmp/new_music_playlist.m3u
    false
    ;;

    # Video->Media on lit tous les fichiers sur le cd
    # TODO: detecter le type de cd (donnes, VCD, SVCD, DVD)
    # Mais moi j'ai pas de vcd sous la main, alors si quelqu'un
    # peut le faire (param de mplayer principalement) ben ca serait bien cool...
    222)
    /usr/bin/cdinfo | grep -e "Video CD" > /dev/null 

    if [ $? != 0 ]
    then

	isoinfo -l -i /dev/dvd | grep .VOB > /dev/null
	if [ $? = 0 ]
	then
		echo "DVD, Lancement de mplayer..."
		$MPLAYER -dvd 1
	else

		echo "CD non video (VCD), recherche de medias"
		echo "Creation de la playlist"

		# Rajoutez ici vos extensions si il en manque (insensible a la casse) : -or -iname *.monextension
		find /mnt/cdrom -iname *.mpg -or -iname *.mpeg -or -iname *.avi -or -iname *.asf -or -iname *.wmv -or -iname *.mov -or -iname *.dat > /tmp/video.pls

		# On verifie que la liste n'est pas vide parce que mplayer n'aime pas ca
		# du tout du tout...
		grep \[:alnum:\] /tmp/video.pls > /dev/null

		if [ $? != 0 ]
		then
			echo "Aucun fichier video trouv sur le media"
		else
			echo "Lancement de MPlayer"
			# ADAPTEZ ICI a vos parametres prefrs.
			$MPLAYER -playlist /tmp/video.pls
		fi
    	fi
    else
	echo "Video CD, Lancement de mplayer..."
	$MPLAYER -vcd 1
    fi
    false
    ;;

    # Video->Playlist on lance xmms avec la playlist cre
    223)
    echo "Lancement de Mplayer"

    # On verifie que la liste n'est pas vide parce que mplayer n'aime pas ca
    # du tout du tout...
    grep \[:alnum:\] /tmp/new_video_playlist.pls > /dev/null

    if [ $? != 0 ]
    then
        echo "Aucun fichier video dans la playlist"
    else
        echo "Lancement de MPlayer"
	# ADAPTEZ ICI a vos parametres prefrs.
        $MPLAYER -playlist /tmp/new_video_playlist.pls
    fi
    false
    ;;

    225)
    echo "Lancement de XawTV"
    xawtv -f
    false
    ;;    

    # On quitte
    255)
    echo "User Want to stop..."
    true
    ;;

esac
done
echo "Time for sutdown now..."
# Plus tard on eteindra carement la machine...
# shutdown -h now

